# Consulta de Conta

Este endpoint permite consultar os **dados completos de uma conta bancária** associada ao perfil autenticado (Pessoa Física ou Jurídica).

O `accountId` deve ser informado na URL e pode ser obtido através do endpoint\
**Consulta de Perfil — Pessoa Física ou Jurídica**, no campo `accounts[].id`.

O retorno contém informações bancárias essenciais, incluindo:

* **Banco (`bank`)**
* **Agência (`agency`)**
* **Número da conta (`number`)**
* **Saldo atual (`balance`)**
* **Status da conta (`status`)**
* **Indicador de conta de custódia (`isEscrow`)**
* **Conta de investimento (`investmentAccount`)**, quando aplicável

Este endpoint é protegido e requer o uso do cabeçalho `Authorization: Bearer <token>` e `x-tenant-id`

## Endpoint para consulta

<mark style="color:green;">`GET`</mark> `/accounts/{accountId}`

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |
| `x-tenant-id` | `Tenant ID`        |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "account": {
    "id": "b36d114c-76b3-494a-8c16-7be06244bca8",
    "bank": "633",
    "agency": "0001",
    "number": "60301514",
    "balance": 213.5,
    "status": "APPROVED",
    "isEscrow": false,
    "investmentAccount": null
  }
}

```

{% endtab %}

{% tab title="404" %}

```json
{
    "code": "NOT_FOUND",
    "error": "Conta não encontrada",
    "message": "Conta não encontrada"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stric.com.br/documentacao/contas/consulta-de-conta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
